Subject: [Pals] The PALS WG has placed draft-bryant-pals-ethernet-cw in state "Call For Adoption By WG Issued"

From: IETF Secretariat <[email-masked]>
Date: Thu, 10 Aug 2017 03:11:31 -0700

The PALS WG has placed draft-bryant-pals-ethernet-cw in state
Call For Adoption By WG Issued (entered by Andrew Malis)

The document is available at
https://datatracker.ietf.org/doc/draft-bryant-pals-ethernet-cw/

---

From: "Shah, Himanshu" <[email-masked]>
Date: Thu, 10 Aug 2017 12:49:11 +0000

We explicitly discussed this point @IETF99 in PALS WG meeting, in the draft :

“To remove this problem in the long term, and hence to reduce the
   operational cost of investigating problems associated with the
   incorrect forwarding of Ethernet packets over PWs not using the CW,
   it is RECOMMENDED that equipment that does not support the CW be
   phased out of operational use.”

The rough consensus/understanding was that this language is not appropriate for the RFC.

I object to this paragraph (as I did in the meeting) and recommend removing it from the draft
before it is accepted as working group draft.

Thanks,
Himanshu

From: Pals <[email-masked]> on behalf of IETF Secretariat <[email-masked]>
Date: Thursday, August 10, 2017 at 6:11 AM
To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: [Pals] The PALS WG has placed draft-bryant-pals-ethernet-cw in state "Call For Adoption By WG Issued"

_______________________________________________
Pals mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/pals

---

From: Stewart Bryant <[email-masked]>
Date: Thu, 10 Aug 2017 14:25:28 +0100

Speaking as an individual contributor.

Hi Himanchu,

You made this point at the meeting, but I did not detect significant 
support from others present for your position.

There are two groups of people that we need to consult on this matter, 
the PALS WG which we are doing here, but also the Operations area, since 
we are publishing this text to solve an operational problem that was 
reported to us.

Such deprication proposals are not common in the routing area, because 
we rarely face such problems, but they are common in for example the 
security area where old crypto algorithms get phase out, so including 
such text in an RFC is not unheard of in an RFC.

Perhaps you can help us understand why you think the IETF should not 
make this recommendation? With that clarification I hope that we can 
better move towards achieving rough consensus on leaving the the text as 
is, tuning the text to address your concern, or removing it from the draft.

I do not understand why resolution of this point needs to gate WG 
adoption, since the draft cannot proceed to the IESG without achieving 
an adequate degree of consensus for publication, whilst adopting it 
communicates to our colleagues in the IEEE, and the operator community 
that we are addressing the concern that they raised with us.

- Stewart

On 10/08/2017 13:49, Shah, Himanshu wrote:
>
> /We explicitly discussed this point @IETF99 in PALS WG meeting, in the 
> draft :/
>
> //
>
> /“To remove this problem in the long term, and hence to reduce the/
>
> /operational cost of investigating problems associated with the/
>
> /incorrect forwarding of Ethernet packets over PWs not using the CW,/
>
> /it is RECOMMENDED that equipment that does not support the CW be/
>
> /phased out of operational use//.”/
>
> //
>
> /The rough consensus/understanding was that this language is not 
> appropriate for the RFC./
>
> //
>
> /I object to this paragraph (as I did in the meeting) and recommend 
> removing it from the draft/
>
> /before it is accepted as working group draft./
>
> //
>
> //
>
> //
>
> /Thanks,/
>
> /Himanshu///
>
> //
>
> *From: *Pals <[email-masked]> on behalf of IETF Secretariat 
> <[email-masked]>
> *Date: *Thursday, August 10, 2017 at 6:11 AM
> *To: *"[email-masked]" 
> <[email-masked]>, "[email-masked]" 
> <[email-masked]>, "[email-masked]" <[email-masked]>
> *Subject: *[Pals] The PALS WG has placed draft-bryant-pals-ethernet-cw 
> in state "Call For Adoption By WG Issued"
>
> [email-masked] <mailto:[email-masked]>
>

---

From: Alexander Vainshtein <[email-masked]>
Date: Thu, 10 Aug 2017 15:01:51 +0000

I support adoption of this draft as a WG document.

It addresses a real operational problem, and outlines what looks to me a reasonable (actually, the only possible) solution of this problem.

At the same time I wonder if this draft should be the Standards Track or BCP. But this clearly can be defined once it is adopted.

As for deprecation of some aspects of RFCs in the Routing Area, we have a relatively recent deprecation of BGP Entropy Label Capability attribute (RFC 7447) and retirement (which is another name for deprecation) of  TLVs from the G-ACH header (RFC 7026). So these things definitely happen.

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

From: Pals [mailto:[email-masked]] On Behalf Of Stewart Bryant
Sent: Thursday, August 10, 2017 4:25 PM
To: Shah, Himanshu <[email-masked]>; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [Pals] The PALS WG has placed draft-bryant-pals-ethernet-cw in state "Call For Adoption By WG Issued"

Hi Himanchu,

You made this point at the meeting, but I did not detect significant support from others present for your position.

There are two groups of people that we need to consult on this matter, the PALS WG which we are doing here, but also the Operations area, since we are publishing this text to solve an operational problem that was reported to us.

Such deprication proposals are not common in the routing area, because we rarely face such problems, but they are common in for example the security area where old crypto algorithms get phase out, so including such text in an RFC is not unheard of in an RFC.

Perhaps you can help us understand why you think the IETF should not make this recommendation? With that clarification I hope that we can better move towards achieving rough consensus on leaving the the text as is, tuning the text to address your concern, or removing it from the draft.

I do not understand why resolution of this point needs to gate WG adoption, since the draft cannot proceed to the IESG without achieving an adequate degree of consensus for publication, whilst adopting it communicates to our colleagues in the IEEE, and the operator community that we are addressing the concern that they raised with us.

- Stewart

Thanks,
Himanshu

From: Pals <[email-masked]><mailto:[email-masked]> on behalf of IETF Secretariat <[email-masked]><mailto:[email-masked]>
Date: Thursday, August 10, 2017 at 6:11 AM
To: "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>, "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>, "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>
Subject: [Pals] The PALS WG has placed draft-bryant-pals-ethernet-cw in state "Call For Adoption By WG Issued"

___________________________________________________________________________

This e-mail message is intended for the recipient only and contains information which is 
CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this 
transmission in error, please inform us by e-mail, phone or fax, and then delete the original 
and all copies thereof.
___________________________________________________________________________

---

From: "Shah, Himanshu" <[email-masked]>
Date: Thu, 10 Aug 2017 19:31:41 +0000

Hi Stewart –

We have different recollection of the meeting discussions, I guess.
I believe, Greg Mirsky, also agreed against this specific language.

I believe what we discussed in consensus is to recommend that operator
MUST enable CW usage when implementation supports it and not include
“recommend” specific text.

More in line..

Thanks,
Himanshu

From: Pals <[email-masked]> on behalf of Stewart Bryant <[email-masked]>
Date: Thursday, August 10, 2017 at 9:25 AM
To: "Shah, Himanshu" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Pals] The PALS WG has placed draft-bryant-pals-ethernet-cw in state "Call For Adoption By WG Issued"

Hi Himanchu,

Himanshu> This is not a new problem. Legacy Ethernet PWs with or without CW has been operationalized for many years now. I don’t see IETF requiring a mandate at this point.

Himanshu> I thought I did during the meeting. This is an old problem, the operationalized networks without the CW have already resolved this problem. I don’t see the need for new vendor waving this RFC to scare them either to replace the boxes or undertake software upgrade for all their legacy boxes.

The language we discussed was to recommend enabling the CW (overriding the default, when needed) option for the implementations that support it. It would then be up to the operator to decide what the next step be if an implementation does not support CW option. This draft and previous RFC on this topic adequately explains the problem.

I was told that some intermediate ‘boxes’ not only do flow classification for load sharing on ECMP but also IP header checksum verification and drop the frame if checksum is bad. Geez..

The real miscreants are the intermediate boxes making wrong assumptions on the type of MPLS payload, may be we should recommend replacing some of those boxes with the ones that utilizes entropy labels rather than tinkering with large number of access boxes.. ☺

Seriously though, the draft does a good job underlining the problem, AGAIN, and pointing them on right direction – recommending replacing of the boxes should not be one of them (let them conclude that).

- Stewart

Thanks,
Himanshu

---

From: "Shah, Himanshu" <[email-masked]>
Date: Thu, 10 Aug 2017 19:42:20 +0000

Hi Sasha –

I responded to Stewart’s comments in a separate email on this thread.
This is a very old, well understood, well explained (in other RFC) problem
with well-known solutions and alternatives.

IMHO, importance of recent concerns is unwarranted. Besides, the Stewart’s
draft adequately covers the problem and solution – we are only discussing
“recommendation to replace the deployed boxes” text.

Thanks,
Himanshu

From: "Alexander com>" <[email-masked]>
Date: Thursday, August 10, 2017 at 11:01 AM
To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: Stewart Bryant <[email-masked]>, "Shah, Himanshu" <[email-masked]>
Subject: RE: [Pals] The PALS WG has placed draft-bryant-pals-ethernet-cw in state "Call For Adoption By WG Issued"

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302

Hi Himanchu,

- Stewart

Thanks,
Himanshu

---

From: Greg Mirsky <[email-masked]>
Date: Thu, 10 Aug 2017 18:56:19 -0700

Dear All,
I've reviewed the meeting recording to refresh my recollection of the
discussion. In summary, I support the text that conveys along the line
"MUST use CW when both PEs support it for Ethernet PW". And, as Glenn
Parsons had suggested, strong recommendation to consider migration to
CW-capable equipment or be prepared to experience problems caused by
misinterpretation of payload by P routers, e.g. out of order delivery.

Regards,
Greg

On Thu, Aug 10, 2017 at 12:42 PM, Shah, Himanshu <[email-masked]> wrote:

> *Hi Sasha – *
>
>
>
> *I responded to Stewart’s comments in a separate email on this thread.*
>
> *This is a very old, well understood, well explained (in other RFC)
> problem *
>
> *with well-known solutions and alternatives. *
>
>
>
> *IMHO, importance of recent concerns is unwarranted. Besides, the
> Stewart’s*
>
> *draft adequately covers the problem and solution – we are only discussing*
>
> *“recommendation to replace the deployed boxes” text.*
>
>
>
> *Thanks,*
>
> *Himanshu*
>
>
>
> *From: *"Alexander com>" <[email-masked]>
> *Date: *Thursday, August 10, 2017 at 11:01 AM
> *To: *"[email-masked]" <
> [email-masked]>, "[email-masked]" <
> [email-masked]>, "[email-masked]" <[email-masked]>
> *Cc: *Stewart Bryant <[email-masked]>, "Shah, Himanshu" <
> [email-masked]>
> *Subject: *RE: [Pals] The PALS WG has placed
> draft-bryant-pals-ethernet-cw in state "Call For Adoption By WG Issued"
>
>
>
> It addresses a real operational problem, and outlines what looks to me a
> reasonable (actually, the only possible) solution of this problem.
>
>
>
> At the same time I wonder if this draft should be the Standards Track or
> BCP. But this clearly can be defined once it is adopted.
>
>
>
> As for deprecation of some aspects of RFCs in the Routing Area, we have a
> relatively recent deprecation of BGP Entropy Label Capability attribute
> (RFC 7447) and retirement (which is another name for deprecation) of  TLVs
> from the G-ACH header (RFC 7026). So these things definitely happen.
>
>
>
> Regards,
>
> Sasha
>
>
>
> Office: +972-39266302 <+972%203-926-6302>
>
> Cell:      +972-549266302 <+972%2054-926-6302>
>
> *From:* Pals [mailto:[email-masked]] *On Behalf Of *Stewart Bryant
> *Sent:* Thursday, August 10, 2017 4:25 PM
> *To:* Shah, Himanshu <[email-masked]>; draft-bryant-pals-ethernet-cw@
> ietf.org; [email-masked]; [email-masked]
> *Subject:* Re: [Pals] The PALS WG has placed
> draft-bryant-pals-ethernet-cw in state "Call For Adoption By WG Issued"
>
>
>
> There are two groups of people that we need to consult on this matter, the
> PALS WG which we are doing here, but also the Operations area, since we are
> publishing this text to solve an operational problem that was reported to
> us.
>
> Such deprication proposals are not common in the routing area, because we
> rarely face such problems, but they are common in for example the security
> area where old crypto algorithms get phase out, so including such text in
> an RFC is not unheard of in an RFC.
>
> Perhaps you can help us understand why you think the IETF should not make
> this recommendation? With that clarification I hope that we can better move
> towards achieving rough consensus on leaving the the text as is, tuning the
> text to address your concern, or removing it from the draft.
>
> adoption, since the draft cannot proceed to the IESG without achieving an
> adequate degree of consensus for publication, whilst adopting it
> communicates to our colleagues in the IEEE, and the operator community that
> we are addressing the concern that they raised with us.
>
> - Stewart
>
>
>
> *We explicitly discussed this point @IETF99 in PALS WG meeting, in the
> draft :*
>
>
>
> *“To remove this problem in the long term, and hence to reduce the*
>
> *   operational cost of investigating problems associated with the*
>
> *   incorrect forwarding of Ethernet packets over PWs not using the CW,*
>
> *   it is RECOMMENDED that equipment that does not support the CW be*
>
> *   phased out of operational use**.”*
>
>
>
> *The rough consensus/understanding was that this language is not
> appropriate for the RFC.*
>
>
>
> *I object to this paragraph (as I did in the meeting) and recommend
> removing it from the draft*
>
> *before it is accepted as working group draft.*
>
>
>
>
>
> *Thanks,*
>
> *Himanshu*
>
>
>
> *From: *Pals <[email-masked]> <[email-masked]> on behalf of
> IETF Secretariat <[email-masked]>
> <[email-masked]> <draft-bryant-pals-ethernet-
> [email-masked]> <[email-masked]>,
> "[email-masked]" <[email-masked]> <[email-masked]>
> <[email-masked]>, "[email-masked]" <[email-masked]> <[email-masked]>
> <[email-masked]>
> *Subject: *[Pals] The PALS WG has placed draft-bryant-pals-ethernet-cw in
> state "Call For Adoption By WG Issued"
>
>
>
>
>
> [email-masked]
> [email-masked]

---

From: "Shah, Himanshu" <[email-masked]>
Date: Fri, 11 Aug 2017 19:41:54 +0000

Greg –

Please review the video recording. Exactly at 32min 30sec and few seconds afterwards.

Thanks,
Himanshu

From: Greg Mirsky <[email-masked]>
Date: Thursday, August 10, 2017 at 9:56 PM
To: "Shah, Himanshu" <[email-masked]>
Cc: "Alexander com>" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Stewart Bryant <[email-masked]>
Subject: Re: [Pals] The PALS WG has placed draft-bryant-pals-ethernet-cw in state "Call For Adoption By WG Issued"

Dear All,
I've reviewed the meeting recording to refresh my recollection of the discussion. In summary, I support the text that conveys along the line "MUST use CW when both PEs support it for Ethernet PW". And, as Glenn Parsons had suggested, strong recommendation to consider migration to CW-capable equipment or be prepared to experience problems caused by misinterpretation of payload by P routers, e.g. out of order delivery.

Regards,
Greg

On Thu, Aug 10, 2017 at 12:42 PM, Shah, Himanshu <[email-masked]<mailto:[email-masked]>> wrote:
Hi Sasha –

Thanks,
Himanshu

From: "Alexander com>" <[email-masked]<mailto:[email-masked]>>
Date: Thursday, August 10, 2017 at 11:01 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: Stewart Bryant <[email-masked]<mailto:[email-masked]>>, "Shah, Himanshu" <[email-masked]<mailto:[email-masked]>>
Subject: RE: [Pals] The PALS WG has placed draft-bryant-pals-ethernet-cw in state "Call For Adoption By WG Issued"

Regards,
Sasha

Office: +972-39266302<tel:+972%203-926-6302>
Cell:      +972-549266302<tel:+972%2054-926-6302>
Email:   [email-masked]<mailto:[email-masked]>

From: Pals [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Stewart Bryant
Sent: Thursday, August 10, 2017 4:25 PM
To: Shah, Himanshu <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Pals] The PALS WG has placed draft-bryant-pals-ethernet-cw in state "Call For Adoption By WG Issued"

Hi Himanchu,

- Stewart

Thanks,
Himanshu

---

From: Greg Mirsky <[email-masked]>
Date: Fri, 11 Aug 2017 14:09:28 -0700

Hi Himanshu,
and so I did. My notes reflects my opinion not as expressed at the mike but
after all the discussion that took place. Hope that clarifies things.
If we can suggest steps other than using CW to avoid "first nibble" issue,
then let's discuss and add them to the document.

Regards,
Greg

On Fri, Aug 11, 2017 at 12:41 PM, Shah, Himanshu <[email-masked]> wrote:

> *Greg –*
>
>
>
> *Please review the video recording. Exactly at 32min 30sec and few seconds
> afterwards.*
>
>
>
>
>
> *Thanks,*
>
> *Himanshu*
>
>
>
> *From: *Greg Mirsky <[email-masked]>
> *Date: *Thursday, August 10, 2017 at 9:56 PM
> *To: *"Shah, Himanshu" <[email-masked]>
> *Cc: *"Alexander com>" <[email-masked]>, "
> [email-masked]" <draft-bryant-pals-ethernet-
> [email-masked]>, "[email-masked]" <[email-masked]>, "
> [email-masked]" <[email-masked]>, Stewart Bryant <[email-masked]>
>
> *Subject: *Re: [Pals] The PALS WG has placed

---

From: "Shah, Himanshu" <[email-masked]>
Date: Fri, 11 Aug 2017 21:46:55 +0000

Surely.

I only mentioned your name in the context of the meeting at IETF99.

Perhaps “MP” part of MPLS should have included proto header to begin with.

It is fallacy to assume that with one sentence in the upcoming draft/RFC
(that we are debating) would fix this “horrendous” problem in the network
that 2006 RFC 4385 and tons of literatures, papers, vendor notes/manuals,
slides, lectures, etc before and after 2006 could not fix!

Thanks,
Himanshu

Date: Friday, August 11, 2017 at 5:09 PM

Hi Himanshu,
and so I did. My notes reflects my opinion not as expressed at the mike but after all the discussion that took place. Hope that clarifies things.
If we can suggest steps other than using CW to avoid "first nibble" issue, then let's discuss and add them to the document.

Regards,
Greg

On Fri, Aug 11, 2017 at 12:41 PM, Shah, Himanshu <[email-masked]<mailto:[email-masked]>> wrote:
Greg –

Thanks,
Himanshu

From: Greg Mirsky <[email-masked]<mailto:[email-masked]>>
Date: Thursday, August 10, 2017 at 9:56 PM
To: "Shah, Himanshu" <[email-masked]<mailto:[email-masked]>>
Cc: "Alexander com>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Stewart Bryant <[email-masked]<mailto:[email-masked]>>

Dear All,

Regards,
Greg

Thanks,
Himanshu

Regards,
Sasha

Hi Himanchu,

- Stewart

Thanks,
Himanshu